#include <stdio.h>
#include <stdlib.h>

void swap(int *a, int *b)
{
    int p;
    p=(*a);
    (*a)=(*b);
    (*b)=p;
}

int main()
{
    int max=0,n,i;
    scanf("%d ",&n);
    int niz[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
        if(niz[i]>niz[max])
            max=i;
    }
    if(n==2)
    {
        swap(&niz[0],&niz[1]);
    }
    else
    {
        i=0;
        while(i<max)
        {
            if(niz[max]>niz[i])
            {
                swap(&niz[max],&niz[i]);
                i=max+1;
            }
            i++;
        }
    }
    for(i=0;i<n;i++)
        printf("%d ",niz[i]);
}